Package com.castlabs.android.player

## Class DashDescriptor

- java.lang.Object
- - com.castlabs.android.player.DashDescriptor

-     public class DashDescriptor
      extends Object

  A Dash descriptor.
  Since:
    4.0.5

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `DashDescriptor.DescriptorType` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ACCESSIBILITY` |
    `static int` | `ASSET_IDENTIFIER` |
    `static int` | `ESSENTIAL_PROPERTY` |
    `static int` | `INBAND_EVENT_STREAM` |
    `static int` | `RATING` |
    `static int` | `ROLE` |
    `static int` | `SUPPLEMENTAL_PROPERTY` |
    `static int` | `VIEWPOINT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DashDescriptor​(int type, String schemeIdUri, String value, String id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getId()` |
    `String` | `getSchemeIdUri()` |
    `int` | `getType()` |
    `String` | `getValue()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROLE

          public static final int ROLE

      See Also:
        Constant Field Values

    - #### ESSENTIAL_PROPERTY

          public static final int ESSENTIAL_PROPERTY

      See Also:
        Constant Field Values

    - #### SUPPLEMENTAL_PROPERTY

          public static final int SUPPLEMENTAL_PROPERTY

      See Also:
        Constant Field Values

    - #### ACCESSIBILITY

          public static final int ACCESSIBILITY

      See Also:
        Constant Field Values

    - #### VIEWPOINT

          public static final int VIEWPOINT

      See Also:
        Constant Field Values

    - #### RATING

          public static final int RATING

      See Also:
        Constant Field Values

    - #### INBAND_EVENT_STREAM

          public static final int INBAND_EVENT_STREAM

      See Also:
        Constant Field Values

    - #### ASSET_IDENTIFIER

          public static final int ASSET_IDENTIFIER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DashDescriptor

          public DashDescriptor​(int type,
                                @NonNull
                                String schemeIdUri,
                                @Nullable
                                String value,
                                @Nullable
                                String id)

      Parameters:
        `type` - type of the descriptor
        `schemeIdUri` - scheme id, or "key"
        `value` - value, can be null
        `id` - id, can be null

  - ### Method Detail

    - #### getSchemeIdUri

          @NonNull
          public String getSchemeIdUri()

    - #### getValue

          @Nullable
          public String getValue()

    - #### getId

          @Nullable
          public String getId()

    - #### getType

          public int getType()